import { AbstractUiComponent } from "./AbstractUiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiPageViewBlockConfig } from "../generated/UiPageViewBlockConfig";
import { UiPageViewConfig } from "../generated/UiPageViewConfig";
export declare class UiPageView extends AbstractUiComponent<UiPageViewConfig> {
    private $component;
    private rows;
    constructor(config: UiPageViewConfig, context: TeamAppsUiContext);
    getMainDomElement(): HTMLElement;
    addBlock(blockConfig: UiPageViewBlockConfig, before: boolean, otherBlockId?: string): void;
    private addRow;
    onResize(): void;
    destroy(): void;
}
